[Armadeus-commitlog] armadeus branch, master, updated. release-3.2-413-g0aec528
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2010-06-08 19:45:33
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 0aec528c8888f3c4d08844ec329e22e2492bc157 (commit)
via 112ffab995c8571286e248df573b5a9aa5203c6d (commit)
from 281d8e6b63a7bf2bf2dccd8388e211f446ac4c9b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 0aec528c8888f3c4d08844ec329e22e2492bc157
Author: Julien Boibessot <jul...@ar...>
Date: Tue Jun 8 21:43:48 2010 +0200
[TESTS] Add test for Bluetooth
commit 112ffab995c8571286e248df573b5a9aa5203c6d
Author: Julien Boibessot <jul...@ar...>
Date: Mon Jun 7 17:09:54 2010 +0200
[BUILDROOT] Add a file in rootfs to know armadeus bsp version used
-----------------------------------------------------------------------
Summary of changes:
.../rootfs/target_skeleton/etc/armadeus-version | 1 +
target/test/test_bluetooth.sh | 60 ++++++++++++++++++++
2 files changed, 61 insertions(+), 0 deletions(-)
create mode 100644 buildroot/target/device/armadeus/rootfs/target_skeleton/etc/armadeus-version
create mode 100755 target/test/test_bluetooth.sh
diff --git a/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/armadeus-version b/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/armadeus-version
new file mode 100644
index 0000000..2b29883
--- /dev/null
+++ b/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/armadeus-version
@@ -0,0 +1 @@
+3.2-git
diff --git a/target/test/test_bluetooth.sh b/target/test/test_bluetooth.sh
new file mode 100755
index 0000000..0c9b3b7
--- /dev/null
+++ b/target/test/test_bluetooth.sh
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2010 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+#source ./test_env.sh
+
+test_bluetooth()
+{
+ show_test_banner "Bluetooth"
+
+ modprobe btusb
+ if [ "$?" != 0 ]; then
+ echo "Unable to launch USB<->Bluetooth layer !!"
+ exit_failed
+ fi
+
+ ask_user "Please insert your USB dongle, then press ENTER"
+
+ hciconfig hci0 up piscan
+ sleep 1
+ hciconfig
+ ask_user "Do you see your dongle ? (Y/n)"
+ if [ "$response" == "n" ] || [ "$response" == "no" ]; then
+ exit_failed
+ fi
+
+ ask_user "Be sure that your Host has its Bluetooth interface up and running (hciconfig hci0 up piscan), then press ENTER"
+
+ MY_BTADDR=`hcitool dev | grep hci0 | cut -f 3`
+ if [ "$MY_BTADDR" == "" ]; then
+ echo "unable to get dongle BT MAC"
+ exit_failed
+ fi
+
+ # Setup serial terminal over BT:
+ RFCOMM_CHANNEL=7
+ mknod /dev/rfcomm0 c 216 0
+ rfcomm -i hci0 listen /dev/rfcomm0 $RFCOMM_CHANNEL &
+
+ ask_user "Launch: \"rfcomm connect 0 $MY_BTADDR $RFCOMM_CHANNEL\" on you PC, then press ENTER"
+ getty 38400 /dev/rfcomm0 &
+ ask_user "Launch: \"minicom -o\" on you PC, you should see APF login prompt, then press ENTER"
+
+ # APW: To be done...
+
+ echo_test_ok
+}
+
+test_bluetooth
+
hooks/post-receive
--
armadeus
|